petsc-3.4.2 2013-07-02

# PetscObjectGetFortranCallback

get fortran callback function pointer and context

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetFortranCallback(PetscObject obj,PetscFortranCallbackType cbtype,PetscFortranCallbackId cid,void (**func)(void),void **ctx)

Logically Collective

### Input Arguments

| obj | - object on which to get callback
| cbtype | - callback type
| cid | - address of callback Id

### Output Arguments

| func | - Fortran function (or NULL if not needed)
| ctx | - Fortran context (or NULL if not needed)

### See Also

PetscObjectSetFortranCallback()

Level:developer
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages